// Define image URLs to be used in control rendering code
@sapUiRatingSymbolSelected: url("img/rating/star_selected.png");
@sapUiRatingSymbolUnselected: url("img/rating/star_unselected.png");
@sapUiRatingSymbolHovered: url("img/rating/star_hover.png");

.sapUiRating {
	display: inline-block;
	line-height: @sapUiLineHeight;
}

.sapUiRatingEdit {
	cursor: pointer;
}

.sapUiRating:focus {
	outline: black dotted 1px;
}

.sapUiRatingItm {
	display: inline-block;
	border: 0 none;
	line-height: 0px;
	position: relative;
	margin-left: 1px;
	margin-right: 1px;
}

.sapUiRatingItmOvrflw {
	display: inline-block;
	position: absolute;
	top: 0px;
	right: 0px;
	width: 100%;
	height: 100%;
	overflow:hidden;
}

.sapUiRatingItmHov > .sapUiRatingItmOvrflw {
	visibility: hidden;
}

.sapUiRatingItmOvrflw > .sapUiRatingItmOvrflwImg {
	position: absolute;
	top: 0px;
	right: 0px;
}
